package com.kingdee.eas.custom.projectbonus;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractBonusCycleInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractBonusCycleInfo()
    {
        this("id");
    }
    protected AbstractBonusCycleInfo(String pkField)
    {
        super(pkField);
        put("BusDepProject", new com.kingdee.eas.custom.projectbonus.BonusCycleBusDepProjectCollection());
    }
    /**
     * Object:奖金周期表's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:奖金周期表's 名称property 
     */
    public String getName()
    {
        return getName((Locale)null);
    }
    public void setName(String item)
    {
		setName(item,(Locale)null);
    }
    public String getName(Locale local)
    {
        return TypeConversionUtils.objToString(get("name", local));
    }
    public void setName(String item, Locale local)
    {
        put("name", item, local);
    }
    /**
     * Object:奖金周期表's 奖金周期property 
     */
    public String getCycleName()
    {
        return getString("cycleName");
    }
    public void setCycleName(String item)
    {
        setString("cycleName", item);
    }
    /**
     * Object: 奖金周期表 's 事业部项目表 property 
     */
    public com.kingdee.eas.custom.projectbonus.BonusCycleBusDepProjectCollection getBusDepProject()
    {
        return (com.kingdee.eas.custom.projectbonus.BonusCycleBusDepProjectCollection)get("BusDepProject");
    }
    /**
     * Object:奖金周期表's 周期状态property 
     */
    public com.kingdee.eas.custom.projectbonus.bizEnum.CycleStateEnum getState()
    {
        return com.kingdee.eas.custom.projectbonus.bizEnum.CycleStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.eas.custom.projectbonus.bizEnum.CycleStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    /**
     * Object:奖金周期表's 提醒内容property 
     */
    public String getReminderContent()
    {
        return getString("reminderContent");
    }
    public void setReminderContent(String item)
    {
        setString("reminderContent", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("6677AD64");
    }
}